org.apache.solr.client.solrj.cloud.autoscaling

## Enum Suggester.Hint

- java.lang.Object
- - java.lang.Enum<Suggester.Hint>
  - - org.apache.solr.client.solrj.cloud.autoscaling.Suggester.Hint

All Implemented Interfaces:
  Serializable, Comparable<Suggester.Hint>

Enclosing class:
  Suggester

    public static enum Suggester.Hint
    extends Enum<Suggester.Hint>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`COLL`
`COLL_SHARD`
`MINFREEDISK`
`REPLICATYPE`
`SRC_NODE`
`TARGET_NODE`

### Field Summary

Fields
`boolean` `multiValued`
`Consumer<Object>` `validator`
`Predicate<Pair<Object,Object>>` `valueValidator`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static Suggester.Hint` `get(String s)`
`Object` `parse(Object v)`
`static Suggester.Hint` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static Suggester.Hint[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### COLL

    public static final Suggester.Hint COLL

#### COLL_SHARD

    public static final Suggester.Hint COLL_SHARD

#### SRC_NODE

    public static final Suggester.Hint SRC_NODE

#### TARGET_NODE

    public static final Suggester.Hint TARGET_NODE

#### REPLICATYPE

    public static final Suggester.Hint REPLICATYPE

#### MINFREEDISK

    public static final Suggester.Hint MINFREEDISK

### Field Detail

#### multiValued

    public final boolean multiValued

#### validator

    public final Consumer<Object> validator

#### valueValidator

    public final Predicate<Pair<Object,Object>> valueValidator

### Method Detail

#### values

    public static Suggester.Hint[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Suggester.Hint c : Suggester.Hint.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Suggester.Hint valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### get

    public static Suggester.Hint get(String s)

#### parse

    public Object parse(Object v)